Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class ExtBasicPopupMenuSeparatorUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.SeparatorUI
              javax.swing.plaf.basic.BasicSeparatorUI
                  javax.swing.plaf.basic.BasicPopupMenuSeparatorUI
                      com.jgoodies.looks.common.ExtBasicPopupMenuSeparatorUI

    public final class ExtBasicPopupMenuSeparatorUI

extends BasicPopupMenuSeparatorUI

Renders the separator in popup and pull-down menus. Unlike its superclass we use a setting for the insets and it uses a shared UI delegate.

Version:
  $Revision: 1.3 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicSeparatorUI
`highlight, shadow`

Constructor Summary
`ExtBasicPopupMenuSeparatorUI()`

Method Summary
`static ComponentUI` | `createUI(JComponent b)`
`Dimension` | `getPreferredSize(JComponent c)`
`protected void` | `installDefaults(JSeparator s)`
`void` | `paint(Graphics g, JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicSeparatorUI
`getMaximumSize, getMinimumSize, installListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtBasicPopupMenuSeparatorUI

    public ExtBasicPopupMenuSeparatorUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults(JSeparator s)

  Overrides:
    `installDefaults` in class `BasicSeparatorUI`

### paint

    public void paint(Graphics g,
                      JComponent c)

  Overrides:
    `paint` in class `BasicPopupMenuSeparatorUI`

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  Overrides:
    `getPreferredSize` in class `BasicPopupMenuSeparatorUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 JGoodies Karsten Lentzsch. All Rights Reserved.